#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --with=python3

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
		-DENABLE_C:BOOL=yes \
		-DENABLE_MATLAB:BOOL=yes \
		-DENABLE_MATLAB_MEX_COMPILE:BOOL=no \
		-DENABLE_PACKAGING:BOOL=no \
		-DENABLE_PYTHON:BOOL=yes \
		-DPython3_EXECUTABLE:FILE=/usr/bin/python3
